class NpsController < ApplicationController

  before_action :require_login

  # close,关闭
  # createIssue,创建issue
  # createPullRequest,创建PR
  # auditPullRequest,审核PR
  # indexProject,项目主页
  # createProject,创建项目
  # createOrganization,创建组织
  def create
    tip_exception "缺少参数" if params[:action_id].blank? || params[:action_type].blank?
    UserNp.create(:action_id => params[:action_id].to_i, :action_type => params[:action_type], :user_id => User.current.id, :score => params[:score].to_f, memo: params[:memo])
    render_ok
  end
end
